List legal documents
curl --request GET \
--url https://api.engine.usesophic.com/legal-documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/legal-documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/legal-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"document_type": "investment_services_agreement",
"id": "<string>",
"latest_version": {
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2026-07-14T09:30:00Z",
"file": "<string>",
"id": "<string>",
"legal_document": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Legal Documents
List legal documents
Retrieve all available legal documents, optionally filtered by document type.
GET
/
legal-documents
List legal documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return legal documents of the given type.
Available options:
investment_services_agreement, risk_disclosures, conflicts_of_interest_policy, complaints_handling_policy, client_assets_safeguarding_policy, investor_compensation_fund_policy, order_execution_policy, costs_and_charges, pccpc_prospectus, pccpc_special_regulations, pccpc_acceptance_declaration Response
OK
Legal document type.
Available options:
investment_services_agreement, risk_disclosures, conflicts_of_interest_policy, complaints_handling_policy, client_assets_safeguarding_policy, investor_compensation_fund_policy, order_execution_policy, costs_and_charges, pccpc_prospectus, pccpc_special_regulations, pccpc_acceptance_declaration Unique resource identifier.
Latest version of the legal document.
Show child attributes
Show child attributes
Legal document name.